| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- sampleDataOffset : fxlc95000_Sensor_Specific_Settings_t , mma955x_Sensor_Specific_Settings_t
- sampleDataSize : fxlc95000_Sensor_Specific_Settings_t , mma955x_Sensor_Specific_Settings_t
- samplePeriod : fxls8952_Sensor_Specific_Settings_t , mpl3115_OS_Table_t
- sampleRateIndex : Custom_1_Rate_Specific_Settings_t , fxls8471_Specific_Settings_t , mma865x_Specific_Settings_t , mpl3115_Specific_Settings_t
- sampleRateOffset : subscriptionConfig_t
- sampleSize : isf_fifo_t
- scalar : isf_Orientation3D_Quaterion_EngFloat_t
- sensorData : Analog_1_SensorData_Fixed_t , Analog_1_SensorData_Float_t , Custom_1_SensorData_EngFixed_t , Custom_1_SensorData_Float_t
- sensorDataReady : fsl_fusion_DeviceDescriptor_t
- sensorDataType : subscriptionConfig_t
- sensorFullScaleRange : Custom_1_Sensor_Specific_Settings_t
- sensorId : SensorInfo_t , subscriptionConfig_t
- sensorLWEvent : fsl_fusion_DeviceDescriptor_t
- sensorResultType : subscriptionConfig_t
- sensorSettings : isf_dsa_ControlData_st
- settings : App1AppInstance_t , fxlc95000_appConfigRegister_t
- Shutdown : isf_dsa_ControlInterface_st
- shutdownCommands : fxlc95000_Sensor_Specific_Settings_t , mma955x_Sensor_Specific_Settings_t
- signal : fxls8952_Sensor_Specific_Settings_t
- Signal : isf_eh_event_t
- signalledEvents : isf_SensorHandle_st
- size : Custom_1_ConfigTable_tag , fxas21002_ConfigTable_tag , fxls8952_ConfigTable_tag , fxos8700_ConfigTable_tag , spi_mater_SlaveCmd
- skipFramecnt : DeviceDescriptor_struct
- slaveinit : spi_mater_slaveInfo
- sleep_count : mma955x_PedometerData_t
- sleep_count_threshold : mma955x_appConfigRegister_t
- sleep_maximum : mma955x_appConfigRegister_t
- sleep_minimum : mma955x_appConfigRegister_t
- smAdapterHandle : SensorInfo_t
- smLWEvent : App1AppInstance_t
- softReset : fusion_state_t
- softRINS : fusion_state_t
- speed : mma955x_PedometerData_t
- speed_period : mma955x_appConfigRegister_t
- startAddress : Custom_1_ConfigTable_tag , fxas21002_ConfigTable_tag , fxls8952_ConfigTable_tag , fxos8700_ConfigTable_tag
- StartData : isf_dsa_ControlInterface_st
- startDataCommands : fxlc95000_Sensor_Specific_Settings_t , mma955x_Sensor_Specific_Settings_t
- status : rliAppState_t
- step_coalesce : mma955x_appConfigRegister_t
- step_count : mma955x_PedometerData_t
- step_length : mma955x_appConfigRegister_t
- step_threshold : mma955x_appConfigRegister_t
- StreamCtrlReg1 : ci_stream_regs_t
- streamId : device_periodic_read_cfg_packet_t , rliAppState_t
- subArray : pseudoSettings_t
- system_device_id : device_info_t
- systick : SV_1DOF_P_BASIC , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.